
Figure - Bug #112178
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【桌面】长按桌面上的视频图标，选择“应用信息”，出现的是音乐的应用信息
2022-09-27 19:45 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-27

Priority: Normal Due date: 2022-11-30

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0043.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0022.X101

Reproducibility: Every time Fixed Version: 2022-11-22

Test Type: IT Root cause: 因为音乐与视频这两个模块其实是同一个应用，所以出现的是音乐的详情。��

Description

【前提条件】

1、设备已开机

【测试步骤】

1、长按桌面上的视频图标

2、在弹出的菜单列表中选择“应用信息”

【预期结果】

2、进入视频的应用信息页面

【实际结果】

2、进入音乐的应用信息页面

【复现率】

必现

History

#1 - 2022-09-27 19:51 - CD FW-王伟

- Status changed from New to RESOLVED

- Resolution changed from -- to INVALID

- Root cause set to 因为音乐与视频这两个模块其实是同一个应用，所以出现的是音乐的详情。

■ Current conclusion

因为音乐与视频这两个模块其实是同一个应用，所以出现的是音乐的详情。

■ My analysis

我认为这不是一个问题。

#2 - 2022-09-27 19:55 - CDTS_TEST 王成

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CD FW-王伟 to CD TPM-申艳艳

2025-07-04 1/5



艳艳帮忙看看呢，如果是同一个应用，建议去掉一个，以免引起误解

#3 - 2022-09-28 11:12 - CD TPM-申艳艳

- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VX1_MCE_FSE_B sample_20221016

Hi 王成，王伟，

这个问题不影响功能的使用，是个比较小的问题。

还是需要优化，音乐显示音乐的信息，视频显示视频的信息。

PRD中明确要求了音乐和视频应用，不能删除。

#4 - 2022-09-28 11:12 - CD TPM-申艳艳

- Assignee changed from CD TPM-申艳艳 to CD FW-王伟

#5 - 2022-10-08 16:50 - CDTS_TEST 王成

- Target version changed from VX1_MCE_FSE_B sample_20221016 to VX1_MCE_FSE_V2.0_update_20221012

10.12号交付版本与10.15号的是同一个版本

#6 - 2022-10-09 11:19 - CD FW 曹覃刚

- Assignee changed from CD FW-王伟 to CD AF-陈羽杰

跳转到了错误的应用画面，可能和设定分为双页显示有关

#7 - 2022-10-10 19:31 - CD AF-陈羽杰

- Due date set to 2022-10-10

- % Done changed from 0 to 80

■ Current conclusion

分析中

■ My analysis

由于这两个图标属于同一个应用，所以导致跳转到一个应用详情，解决方法是INTENT添加传递ActivityName，区分两个应用。

■ Next action 

本地修复验证。

#8 - 2022-10-10 20:03 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

已修复，提交已入库

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/154463

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/154464
#9 - 2022-10-11 10:30 - CD FW 曹覃刚

- Resolution changed from INVALID to FIXED

#10 - 2022-10-11 10:34 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 80 to 100

#11 - 2022-10-11 10:34 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#12 - 2022-11-03 17:20 - CD TEST-方永红

- Status changed from CLOSED to New

- Target version changed from VX1_MCE_FSE_V2.0_update_20221012 to VX1_MCE_FSE_V5.0_20221230

- Found Version changed from FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220927.alpha to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0043.X101

11.3

目前进入视频的应用详情能够正确显示视频的图标

但继续点击详情页面里面其他选项，出现的仍然是音乐图标

#13 - 2022-11-16 18:31 - CDTS-TEST 周婷

- Due date changed from 2022-10-10 to 2022-10-31

#14 - 2022-11-16 18:31 - CDTS-TEST 周婷

- Due date changed from 2022-10-31 to 2022-11-30

#15 - 2022-11-17 15:37 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD AF-陈羽杰 to CD FW-廖涛

#16 - 2022-11-21 15:56 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- Degrated changed from -- to No

- Fixed Version set to 2022-11-22

目前除权限页面外，所有二级页面已同步实际图标及名称。权限页面目前是单独 App，后续会迁移到 Settings，所以迁移时处理视频图标及名称问题。

处理提交：

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/163915

#17 - 2022-11-22 11:25 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0022.X101

11.22

经验证

目前除权限页面外

其他页面均正确显示视频图标
#18 - 2022-11-22 11:25 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#19 - 2022-12-22 20:41 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154463 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix Music AppInfo Bug1.Long press the video icon on the desktop and select "Application Information".  The music application information

appearsTC-RID: 1201-0201802IssueID: TS-R-BUG-112178Change-Id: I8a3214cde98499132e8639608d8466912cecdde9

#20 - 2022-12-22 20:41 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154464 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix Music AppInfo Bug1.Long press the video icon on the desktop and select "Application Information".  The music application information

appearsTC-RID: 1201-0201802IssueID: TS-R-BUG-112178Change-Id: I45ffb4b2ba7e42aa22876927103604ae77a9acd6

#21 - 2022-12-28 19:16 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

172741 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix icon and label in permission of Video app.TC-RID: 1201-0201802IssueID: TS-R-BUG-112178Change-Id:

Ieb18f66c71744e11a9c7b2225318588912cafbd6

#22 - 2022-12-28 19:17 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

172740 general/platform/packages/modules/P

ermission

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Permission: Fix icon and label in permission of Video app.TC-RID: 1201-0201802IssueID: TS-R-BUG-112178Change-Id:

I03b416852b50a2b6d1bfa1e16a6cba8bc39ebd13
Files

Phone-5221FC0 2022-09-27 19-43-35.mp4 6.41 MB 2022-09-27 CD TEST-方永红

视频应用信息 7.27 KB 2022-09-27 CD TEST-方永红
